html,
body {
  background: #111;
  margin: 0;
  padding: 0;
  overflow: hidden;
}

#bg {
  height: 100vh;
  display: flex;
}

.unicorn {
  position: absolute;
}

button {
  font-size: 32pt;
  margin: auto;
  cursor: pointer;
  z-index: 100;
  border: none;
  border-radius: 50%;
  padding: 2vmin 3vmin 2vmin 2vmin;
  user-select: none;
  background: none;
}

@keyframes bump {
  0% {
    scale: 1;
  }

  80% {
    scale: 1.15;
  }

  100% {
    scale: 1;
  }
}

button:hover {
  animation: bump 100ms linear;
}

button:active {
  user-select: none;
  background: linear-gradient(
    -124deg,
    #ff2400,
    #e81d1d,
    #e8b71d,
    #e3e81d,
    #1de840,
    #1ddde8,
    #2b1de8,
    #dd00f3,
    #dd00f3
  );
  animation: ahhh 0.24s linear infinite;
}

.rainbow {
  background: linear-gradient(
    124deg,
    #ff2400,
    #e81d1d,
    #e8b71d,
    #e3e81d,
    #1de840,
    #1ddde8,
    #2b1de8,
    #dd00f3,
    #dd00f3
  );
  animation: trip 10s ease-out infinite;
}

@keyframes ahhh {
  to {
    transform: rotate(-360deg);
  }
}

@keyframes trip {
  to {
    transform: scale(2);
  }
}
